searchNodes=[{"ref":"Membrane.Element.RTP.Header.html","title":"Membrane.Element.RTP.Header","type":"module","doc":"Describes RTP Header defined in RFC3550 0 1 2 3 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ |V=2|P|X| CC |M| PT | sequence number | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | timestamp | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | synchronization source (SSRC) identifier | +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+ | contributing source (CSRC) identifiers | | .... | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+"},{"ref":"Membrane.Element.RTP.Header.html#t:extension/0","title":"Membrane.Element.RTP.Header.extension/0","type":"type","doc":"If the extension bit is set, the fixed header MUST be followed by exactly one header extension"},{"ref":"Membrane.Element.RTP.Header.html#t:marker/0","title":"Membrane.Element.RTP.Header.marker/0","type":"type","doc":"The interpretation of the marker is defined by a profile"},{"ref":"Membrane.Element.RTP.Header.html#t:padding/0","title":"Membrane.Element.RTP.Header.padding/0","type":"type","doc":"Indicates whether a packet contains additional padding at the end. The last octet of the padding contains a count of padding octets that should be ignored, including itself."},{"ref":"Membrane.Element.RTP.Header.html#t:t/0","title":"Membrane.Element.RTP.Header.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.Header.html#t:version/0","title":"Membrane.Element.RTP.Header.version/0","type":"type","doc":"This field identifies the version of RTP. The version defined by this specification is 2."},{"ref":"Membrane.Element.RTP.HeaderExtension.html","title":"Membrane.Element.RTP.HeaderExtension","type":"module","doc":"Describes RTP Header Extension defined in RFC3550 0 1 2 3 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | defined by profile | length | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | header extension | | .... |"},{"ref":"Membrane.Element.RTP.HeaderExtension.html#t:t/0","title":"Membrane.Element.RTP.HeaderExtension.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.Packet.html","title":"Membrane.Element.RTP.Packet","type":"module","doc":"Describes an RTP packet."},{"ref":"Membrane.Element.RTP.Packet.html#t:t/0","title":"Membrane.Element.RTP.Packet.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.PacketParser.html","title":"Membrane.Element.RTP.PacketParser","type":"module","doc":"Parses RTP packet based on RFC3550"},{"ref":"Membrane.Element.RTP.PacketParser.html#parse_packet/1","title":"Membrane.Element.RTP.PacketParser.parse_packet/1","type":"function","doc":""},{"ref":"Membrane.Element.RTP.PacketParser.html#t:error_reason/0","title":"Membrane.Element.RTP.PacketParser.error_reason/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.Parser.html","title":"Membrane.Element.RTP.Parser","type":"module","doc":"Parses RTP packets. See options/0 for available options Pads :input Availability:always Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull :output Availability:always CapsMembrane.Caps.RTP Direction:output Mode:pull"},{"ref":"Membrane.Element.RTP.Parser.html#membrane_pads/0","title":"Membrane.Element.RTP.Parser.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.RTP.Parser"},{"ref":"Membrane.Element.RTP.PayloadTypeDecoder.html","title":"Membrane.Element.RTP.PayloadTypeDecoder","type":"module","doc":"This module contains utility to translate numerical payload type into an atom value."},{"ref":"Membrane.Element.RTP.PayloadTypeDecoder.html#decode_payload_type/1","title":"Membrane.Element.RTP.PayloadTypeDecoder.decode_payload_type/1","type":"function","doc":"Decodes numerical payload type into an atom value according to RFC3551. For quick reference check datasheet."},{"ref":"readme.html","title":"Membrane Multimedia Framework: RTP","type":"extras","doc":"Membrane Multimedia Framework: RTP This package provides elements that can be used to parse RTP packets. It is part of Membrane Multimedia Framework."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: RTP - Installation","type":"extras","doc":"The package can be installed by adding membrane_element_rtp to your list of dependencies in mix.exs: def deps do [ {:membrane_element_rtp, &quot;~&gt; 0.2.0&quot;} ] end The docs can be found at https://hexdocs.pm/membrane_element_rtp."},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: RTP - Copyright and License","type":"extras","doc":"Copyright 2018, Software Mansion Licensed under the Apache License, Version 2.0"}]